#!/bin/bash

set -eu

if ! [ -e "/app/data/nginx.conf" ]; then
    cp -a "/app/code/nginx.conf.default" "/app/data/nginx.conf"
fi

if ! [ -e "/app/data/public" ]; then
    cp -a "/app/code/public.default" "/app/data/public"
fi

chown -R cloudron:cloudron /app/data

export HOME=/app/data

/usr/sbin/php-fpm7.2 &
exec /usr/sbin/nginx -c /app/data/nginx.conf -g 'daemon off;'
